package si.JDEXi;

/**
 * CRule class. Represents elementary rules with property if they are covered form any
 * complex rule. Complex rule are rules from DEXi utility function 
 * which includes target and the value of this rule if it is covered.
 * 
 * @author Adem Kikaj, Marko Bohanec
 * @version 4.0
 * @since 2018-02-15
 */

public class CRule 
{
	/**
	 * String rule used to save elementary rule.
	 */
	private String rule;
	/**
	 * Boolean found to save value is this rule is covered from 
	 * any complex rule.
	 */
	private Boolean found;
	
	/**
	 * Constructor with rule and found parameters.
	 * 
	 * @param rule 	    
	 *            String object parameter    
	 * @param found 
	 *            Boolean object parameter            
	 */
	public CRule(String rule, Boolean found){
		this.rule = rule;
		this.found = found;
	}
	
	/**
	 * Get rule value.
	 * 
	 * @return rule
	 */
	public String getRule() {
		return rule;
	}
	
	/**
	 * Set rule value.
	 * 
	 * @param rule
     *            String object parameter
     */
	public void setRule(String rule) {
		this.rule = rule;
	}
	
	/**
	 * Get found value.
	 * 
	 * @return found
	 */
	public Boolean isFound() {
		return found;
	}
	
	/**
	 * Set found value.
	 * 
	 * @param found
	 *            Boolean object parameter
	 */
	public void setFound(Boolean found) {
		this.found = found;
	}	
}
