package test.JDEXi;

import java.io.File;
import java.util.ArrayList;

import si.JDEXi.Attribute;
import si.JDEXi.ComplexRules;
import si.JDEXi.Model;

public class ComplexRule {

	public static void main(String[] args) {
		
		try
		{
			if (args.length < 1) {
                System.out
                        .println("Usage: java -jar ComplexRule.jar input_DEXi_model.dxi attribute_position elapsed_time color");
                System.exit(1);
            }
			File dexiFile = new File(args[0]);
	        Model model = new Model(dexiFile);
	        ArrayList<Attribute> all = model.getAllAttributes();
	        System.out.println();
	        System.out.println("Complex Rules: \n");
	        
	        if(args.length>2 && args[2].equals("t"))
	        {
	        	long startTime = System.currentTimeMillis();
	        	ComplexRules cr;
	        	if(args.length > 3 && args[3].equals("color"))
	        		cr = new ComplexRules(all.get(Integer.parseInt(args[1])),true);
	        	else
	        		cr = new ComplexRules(all.get(Integer.parseInt(args[1])),false);
		        cr.createComplexRule();
		        long estimatedTime = System.currentTimeMillis() - startTime;
		        System.out.println("Elapsed time: "+estimatedTime+" milliseconds");
	        }
	        else
	        {
				ComplexRules cr1; 
				if(args.length > 3 && args[3].equals("color"))
					cr1 = new ComplexRules(all.get(Integer.parseInt(args[1])),true);
				else
					cr1 = new ComplexRules(all.get(Integer.parseInt(args[1])),false);
		        cr1.createComplexRule();		        
			}	        
		}
		catch(Exception e)
		{
			System.err.println(e);
		}
		

	}

}
