package test.JDEXi;

import java.io.File;
import java.util.ArrayList;

import si.JDEXi.Attribute;
import si.JDEXi.Model;
import si.JDEXi.NewComplexRules;

public class NewComplexRule {

	public static void main(String[] args) 
	{
		try
		{
			if (args.length < 1) {
                System.out
                        .println("Usage: java -jar NewComplexRules.jar input_DEXi_model.dxi attribute_position elapsed_time");
                System.exit(1);
            }
			File dexiFile = new File(args[0]);
	        Model model = new Model(dexiFile);
	        ArrayList<Attribute> all = model.getAllAttributes();
	        System.out.println();
	        System.out.println("Complex Rules: \n");
	        
	        if(args.length>2 && args[2].equals("t"))
	        {
	        	long startTime = System.currentTimeMillis();
				NewComplexRules ncr = new NewComplexRules(all.get(Integer.parseInt(args[1])));
		        ncr.createNewComplexRules();
		        long estimatedTime = System.currentTimeMillis() - startTime;
		        System.out.println("Elapsed time: "+estimatedTime+" milliseconds");
	        } 
	        else
	        {
				NewComplexRules ncr1 = new NewComplexRules(all.get(Integer.parseInt(args[1])));
		        ncr1.createNewComplexRules();
			}	        
		}
		catch(Exception e)
		{
			System.err.println(e);
		}

	}

}
